DESCRIPTION = "U-Boot for K&K boards."
PROVIDES += "u-boot"

require recipes-bsp/u-boot/u-boot.inc
#require u-boot-imx-common.inc
#require recipes-bsp/u-boot/u-boot-imx-common.inc

SRCBRANCH = "kuk_imx_v2019.04_5.4.3_2.0.0"
SRCPROTO  = "ssh"
UBOOT_SRC = "git://git@gitlab.keith-koep.com:30001/imx/uboot-imx.git"
SRC_URI   = "${UBOOT_SRC};protocol=${SRCPROTO};branch=${SRCBRANCH}"
SRCREV = "${AUTOREV}"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

S = "${WORKDIR}/git"
B = "${WORKDIR}/build"

COMPATIBLE_MACHINE = "(mx7|mx8|mx8m)"

UBOOT_INITIAL_ENV = ""
